Page MenuHomePhabricator

Add "Show changes" to SpecialPage:ImportFile
Closed, ResolvedPublic5 Story Points

Description

Motivation
The FileImporter will try to change templates based on the CommonsHelper2's config files. Right now, users wouldn't be able to see a diff of what changed until after they did the import.

Task

  • Add a "Show changes" button next to the import link on the preview page, in accordance of how it usually looks on article pages, see screenshot

  • When the button is clicked, show a diff between what the file info was before the import, and now. Remember that this is the no-js version. The diff should also have a button "back to preview"

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 14 2018, 10:40 AM
Lea_WMDE updated the task description. (Show Details)May 29 2018, 1:54 PM
Lea_WMDE set the point value for this task to 5.
Tobi_WMDE_SW renamed this task from Add "Show changes" to SpecialPage:Import to Add "Show changes" to SpecialPage:ImportFile.Jun 19 2018, 10:35 AM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-06-19 board.

To finish this I have some questions regarding text / layout on the diff page. Currently it looks like this:

  • Should the button be aligned with something somehow?
  • What little header text should be shown above the two columns?
  • Do we want to have some kind of header? What should it say? ( for most other pages like the edit title and edit file info pages we do not have headers but we might want to? )
  • Do we want to have some kind of intro text? What should it say?

@Hanna_Petruschat_WMDE , @Charlie_WMDE , @Lea_WMDE

Also: should the Show changes button show if there are no changes visible?

Change 441190 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] [WIP] Add page to show changes to the imported text

https://gerrit.wikimedia.org/r/441190

My take on these questions:

  • Button alignment looks fine. We can refine it any time later, if needed.
  • When editing a file description page, the headers say "Latest revision" (message key currentrev) and "Your text" (yourtext). I would reuse these messages for consistency with what the user expects, and because these messages are actually accurate, I believe.
  • I would not add any more headers or intro for now, but wait for the first user tests.

seconding @thiemowmde on his thoughts :)

Also: should the Show changes button show if there are no changes visible?

@Lea_WMDE I was talking to @thiemowmde about that and we agreed ( if I recall correctly ) on not showing the Show changes when no changes where made ( also the summary is not showing then ) - do you agree?

Change 441190 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add page to show changes to the imported text

https://gerrit.wikimedia.org/r/441190

Vvjjkkii renamed this task from Add "Show changes" to SpecialPage:ImportFile to l0caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: WMDE-Fisch; removed: gerritbot.
Wong128hk renamed this task from l0caaaaaaa to Add "Show changes" to SpecialPage:ImportFile.Jul 1 2018, 2:38 AM
Wong128hk assigned this task to WMDE-Fisch.
Wong128hk raised the priority of this task from High to Needs Triage.
Wong128hk updated the task description. (Show Details)
Wong128hk edited subscribers, added: gerritbot; removed: WMDE-Fisch.

Vvjjkkii removed the point value for this task. << for this, it cannot be undone since don't know what has been removed... Please undo it if you know it. Thank you,

Tobi_WMDE_SW set the point value for this task to 5.Jul 3 2018, 8:09 AM
Lea_WMDE closed this task as Resolved.Jul 3 2018, 12:47 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-06-19 board.